## phppgadmin 3.5.1

=== lang/Makefile ===
# This Makefile recodes source lang files into HTML Unicode.
# You should add your encodings to this file.  You need to have GNU Recode
# installed.
# 
# It is important to:
# - fix the delimiters of php code: <?php and ?>
# - convert CRLF -> LF
# - remove all text before first <?php
# - remove all text after last ?>
# using 'convert.awk'
#
# Modifications by Dave Smith, 2003-11-10:
#	Added TARGETS variable for easy listing of all lang files.
#	Added 'prepare' target to check that 'recode' is installed.
#	Added 'clean' target to nuke recoded files. 
#	Surpressed verbose command line dumpage with '@'.
#	Added dependency checking for incremental recoding.
#	Added pretty "Recoding ..." messages.
#	Added 'chmod 644' to 'all' target for correct file permissions.
# Modifications by Rafal Slubowski, 2003-12-12:
#       All conversions of recoded text moved to convert.awk script
# 
# $Id: Makefile,v 1.40 2004/11/10 01:24:49 chriskl Exp $

DESTDIR=./recoded
TARGETS=polish \
	english \
	chinese-tr \
	chinese-sim \
	dutch \
	german \
	spanish \
	italian \
	french \
	russian \
	japanese \
	slovak \
	turkish \
	czech \
	portuguese-br \
	swedish \
	afrikaans \
	arabic \
	mongol \
	ukrainian \
	hungarian \
	hebrew \
	romanian

all:	prepare ${TARGETS}
	@for p in ${TARGETS} ; do chmod 644 ${DESTDIR}/$$p.php ; done

prepare:
	@which recode >/dev/null 2>&1 || ( echo "You must have GNU 'recode' installed to use this Makefile,\
						but I could not find it in your path!" && exit 1 )

clean:
	@echo "Nuking recoded lang files..."
	@for p in ${TARGETS} ; do rm -fv ${DESTDIR}/$$p.php ; done

polish:	polish.php
	@echo "Recoding polish..."
	@cat polish.php | recode latin2..html | ./convert.awk \
		> ${DESTDIR}/polish.php
	@chmod 644 polish.php ${DESTDIR}/polish.php

english:	english.php
	@echo "Recoding english..."
	@cat english.php | recode latin1..html | ./convert.awk \
		> ${DESTDIR}/english.php
	@chmod 644 english.php ${DESTDIR}/english.php

dutch:	dutch.php
	@echo "Recoding dutch..."
	@cat dutch.php | recode latin1..html | ./convert.awk \
		> ${DESTDIR}/dutch.php
	@chmod 644 dutch.php ${DESTDIR}/dutch.php

german:	german.php
	@echo "Recoding german..."
	@cat german.php | recode utf-8..html | ./convert.awk \
		> ${DESTDIR}/german.php
	@chmod 644 german.php ${DESTDIR}/german.php

spanish:	spanish.php
	@echo "Recoding spanish..."
	@cat spanish.php | recode iso-8859-1..html | ./convert.awk \
		> ${DESTDIR}/spanish.php
	@chmod 644 spanish.php ${DESTDIR}/spanish.php

italian:	italian.php
	@echo "Recoding italian..."
	@cat italian.php | recode iso-8859-1..html | ./convert.awk \
		> ${DESTDIR}/italian.php
	@chmod 644 italian.php ${DESTDIR}/italian.php

chinese-tr:	chinese-tr.php
	@echo "Recoding chinese-tr..."
	@cat chinese-tr.php | recode big5..html | ./convert.awk \
		> ${DESTDIR}/chinese-tr.php
	@chmod 644 chinese-tr.php ${DESTDIR}/chinese-tr.php

chinese-sim:	chinese-sim.php
	@echo "Recoding chinese-sim..."
	@cat chinese-sim.php | recode gb2312..html | ./convert.awk \
		> ${DESTDIR}/chinese-sim.php
	@chmod 644 chinese-sim.php ${DESTDIR}/chinese-sim.php

french:	french.php
	@echo "Recoding french..."
	@cat french.php | recode latin1..html | ./convert.awk \
		> ${DESTDIR}/french.php
	@chmod 644 french.php ${DESTDIR}/french.php

japanese:	japanese.php
	@echo "Recoding japanese..."
	@cat japanese.php | recode euc-jp..html | ./convert.awk \
		> ${DESTDIR}/japanese.php
	@chmod 644 japanese.php ${DESTDIR}/japanese.php

russian:	russian.php
	@echo "Recoding russian..."
	@cat russian.php | recode koi8..html | ./convert.awk \
		> ${DESTDIR}/russian.php
	@chmod 644 russian.php ${DESTDIR}/russian.php

slovak:	slovak.php
	@echo "Recoding slovak..."
	@cat slovak.php | recode utf-8..html | ./convert.awk \
		> ${DESTDIR}/slovak.php
	@chmod 644 slovak.php ${DESTDIR}/slovak.php

czech:	czech.php
	@echo "Recoding czech..."
	@cat czech.php | recode utf-8..html | ./convert.awk \
		> ${DESTDIR}/czech.php
	@chmod 644 czech.php ${DESTDIR}/czech.php

turkish:	turkish.php
	@echo "Recoding turkish..."
	@cat turkish.php | recode iso-8859-9..html | ./convert.awk \
		> ${DESTDIR}/turkish.php
	@chmod 644 turkish.php ${DESTDIR}/turkish.php

portuguese-br:	portuguese-br.php
	@echo "Recoding portuguese-br..."
	@cat portuguese-br.php | recode iso-8859-1..html | ./convert.awk \
		> ${DESTDIR}/portuguese-br.php
	@chmod 644 portuguese-br.php ${DESTDIR}/portuguese-br.php

swedish:	swedish.php
	@echo "Recoding swedish..."
	@cat swedish.php | recode iso-8859-1..html | ./convert.awk \
		> ${DESTDIR}/swedish.php
	@chmod 644 swedish.php ${DESTDIR}/swedish.php

afrikaans:	afrikaans.php
	@echo "Recoding afrikaans..."
	@cat afrikaans.php | recode iso-8859-1..html | ./convert.awk \
		> ${DESTDIR}/afrikaans.php
	@chmod 644 afrikaans.php ${DESTDIR}/afrikaans.php

hungarian:	hungarian.php
	@echo "Recoding hungarian..."
	@cat hungarian.php | recode utf-8..html | ./convert.awk \
		> ${DESTDIR}/hungarian.php
	@chmod 644 hungarian.php ${DESTDIR}/hungarian.php

arabic:		arabic.php
	@echo "Recoding arabic..."
	@cat arabic.php | recode utf-8..html | ./convert.awk \
		> ${DESTDIR}/arabic.php
	@chmod 644 arabic.php ${DESTDIR}/arabic.php

mongol:		mongol.php
	@echo "Recoding mongol..."
	@cat mongol.php | recode iso-8859-5..html | ./convert.awk \
		> ${DESTDIR}/mongol.php
	@chmod 644 mongol.php ${DESTDIR}/mongol.php

ukrainian:	ukrainian.php
	@echo "Recoding ukrainian..."
	@cat ukrainian.php | recode koi8-r..html | ./convert.awk \
		> ${DESTDIR}/ukrainian.php
	@chmod 644 ukrainian.php ${DESTDIR}/ukrainian.php

hebrew:	hebrew.php
	@echo "Recoding hebrew..."
	@cat hebrew.php | recode utf-8..html | ./convert.awk \
		> ${DESTDIR}/hebrew.php
	@chmod 644 hebrew.php ${DESTDIR}/hebrew.php

romanian:		romanian.php
	@echo "Recoding romanian..."
	@cat romanian.php | recode utf-8..html | ./convert.awk \
		> ${DESTDIR}/romanian.php
	@chmod 644 romanian.php ${DESTDIR}/romanian.php

## phppgadmin 3.5.2

=== lang/Makefile ===
--- 
+++ 
@@ -20,13 +20,14 @@
 # Modifications by Rafal Slubowski, 2003-12-12:
 #       All conversions of recoded text moved to convert.awk script
 # 
-# $Id: Makefile,v 1.40 2004/11/10 01:24:49 chriskl Exp $
+# $Id: Makefile,v 1.40.2.1 2005/02/18 11:54:16 chriskl Exp $
 
 DESTDIR=./recoded
 TARGETS=polish \
 	english \
 	chinese-tr \
 	chinese-sim \
+	danish \
 	dutch \
 	german \
 	spanish \
@@ -76,6 +77,12 @@
 		> ${DESTDIR}/dutch.php
 	@chmod 644 dutch.php ${DESTDIR}/dutch.php
 
+danish:	danish.php
+	@echo "Recoding danish..."
+	@cat danish.php | recode latin1..html | ./convert.awk \
+		> ${DESTDIR}/danish.php
+	@chmod 644 danish.php ${DESTDIR}/danish.php
+
 german:	german.php
 	@echo "Recoding german..."
 	@cat german.php | recode utf-8..html | ./convert.awk \

## phppgadmin 4.0.1

=== lang/Makefile ===
# This Makefile recodes source lang files into HTML Unicode.
# You should add your encodings to this file.  You need to have GNU Recode
# installed.
# 
# It is important to:
# - fix the delimiters of php code: <?php and ?>
# - convert CRLF -> LF
# - remove all text before first <?php
# - remove all text after last ?>
# using 'convert.awk'
#
# Modifications by Dave Smith, 2003-11-10:
#	Added TARGETS variable for easy listing of all lang files.
#	Added 'prepare' target to check that 'recode' is installed.
#	Added 'clean' target to nuke recoded files. 
#	Surpressed verbose command line dumpage with '@'.
#	Added dependency checking for incremental recoding.
#	Added pretty "Recoding ..." messages.
#	Added 'chmod 644' to 'all' target for correct file permissions.
# Modifications by Rafal Slubowski, 2003-12-12:
#       All conversions of recoded text moved to convert.awk script
# 
# $Id: Makefile,v 1.43.2.1 2005/11/19 09:51:27 chriskl Exp $

DESTDIR=./recoded
TARGETS=polish \
	english \
	chinese-tr \
	chinese-sim \
	danish \
	dutch \
	german \
	spanish \
	italian \
	french \
	russian \
	japanese \
	slovak \
	turkish \
	czech \
	portuguese-br \
	portuguese-pt \
	swedish \
	afrikaans \
	arabic \
	mongol \
	ukrainian \
	hungarian \
	hebrew \
	romanian

all:	prepare ${TARGETS}
	@for p in ${TARGETS} ; do chmod 644 ${DESTDIR}/$$p.php ; done

prepare:
	@which recode >/dev/null 2>&1 || ( echo "You must have GNU 'recode' installed to use this Makefile,\
						but I could not find it in your path!" && exit 1 )
	@which sed >/dev/null 2>&1 || ( echo "You must have sed installed to use this Makefile,\
						but I could not find it in your path!" && exit 1 )
	@which awk >/dev/null 2>&1 || ( echo "You must have awk installed to use this Makefile,\
						but I could not find it in your path!" && exit 1 )

clean:
	@echo "Nuking recoded lang files..."
	@for p in ${TARGETS} ; do rm -fv ${DESTDIR}/$$p.php ; done

polish:	polish.php
	@echo "Recoding polish..."
	@cat polish.php | recode utf-8..xml | sed -e "s/&apos;/'/g" | ./convert.awk \
		> ${DESTDIR}/polish.php
	@chmod 644 polish.php ${DESTDIR}/polish.php

english:	english.php
	@echo "Recoding english..."
	@cat english.php | recode latin1..xml | sed -e "s/&apos;/'/g" | ./convert.awk \
		> ${DESTDIR}/english.php
	@chmod 644 english.php ${DESTDIR}/english.php

dutch:	dutch.php
	@echo "Recoding dutch..."
	@cat dutch.php | recode latin1..xml | sed -e "s/&apos;/'/g" | ./convert.awk \
		> ${DESTDIR}/dutch.php
	@chmod 644 dutch.php ${DESTDIR}/dutch.php

danish:	danish.php
	@echo "Recoding danish..."
	@cat danish.php | recode latin1..xml | sed -e "s/&apos;/'/g" | ./convert.awk \
		> ${DESTDIR}/danish.php
	@chmod 644 danish.php ${DESTDIR}/danish.php

german:	german.php
	@echo "Recoding german..."
	@cat german.php | recode utf-8..xml | sed -e "s/&apos;/'/g" | ./convert.awk \
		> ${DESTDIR}/german.php
	@chmod 644 german.php ${DESTDIR}/german.php

spanish:	spanish.php
	@echo "Recoding spanish..."
	@cat spanish.php | recode iso-8859-1..xml | sed -e "s/&apos;/'/g" | ./convert.awk \
		> ${DESTDIR}/spanish.php
	@chmod 644 spanish.php ${DESTDIR}/spanish.php

italian:	italian.php
	@echo "Recoding italian..."
	@cat italian.php | recode iso-8859-1..xml | sed -e "s/&apos;/'/g" | ./convert.awk \
		> ${DESTDIR}/italian.php
	@chmod 644 italian.php ${DESTDIR}/italian.php

chinese-tr:	chinese-tr.php
	@echo "Recoding chinese-tr..."
	@cat chinese-tr.php | recode big5..xml | sed -e "s/&apos;/'/g" | ./convert.awk \
		> ${DESTDIR}/chinese-tr.php
	@chmod 644 chinese-tr.php ${DESTDIR}/chinese-tr.php

chinese-sim:	chinese-sim.php
	@echo "Recoding chinese-sim..."
	@cat chinese-sim.php | recode gb2312..xml | sed -e "s/&apos;/'/g" | ./convert.awk \
		> ${DESTDIR}/chinese-sim.php
	@chmod 644 chinese-sim.php ${DESTDIR}/chinese-sim.php

french:	french.php
	@echo "Recoding french..."
	@cat french.php | recode latin1..xml | sed -e "s/&apos;/'/g" | ./convert.awk \
		> ${DESTDIR}/french.php
	@chmod 644 french.php ${DESTDIR}/french.php

japanese:	japanese.php
	@echo "Recoding japanese..."
	@cat japanese.php | recode euc-jp..xml | sed -e "s/&apos;/'/g" | ./convert.awk \
		> ${DESTDIR}/japanese.php
	@chmod 644 japanese.php ${DESTDIR}/japanese.php

russian:	russian.php
	@echo "Recoding russian..."
	@cat russian.php | recode koi8..xml | sed -e "s/&apos;/'/g" | ./convert.awk \
		> ${DESTDIR}/russian.php
	@chmod 644 russian.php ${DESTDIR}/russian.php

slovak:	slovak.php
	@echo "Recoding slovak..."
	@cat slovak.php | recode utf-8..xml | sed -e "s/&apos;/'/g" | ./convert.awk \
		> ${DESTDIR}/slovak.php
	@chmod 644 slovak.php ${DESTDIR}/slovak.php

czech:	czech.php
	@echo "Recoding czech..."
	@cat czech.php | recode utf-8..xml | sed -e "s/&apos;/'/g" | ./convert.awk \
		> ${DESTDIR}/czech.php
	@chmod 644 czech.php ${DESTDIR}/czech.php

turkish:	turkish.php
	@echo "Recoding turkish..."
	@cat turkish.php | recode iso-8859-9..xml | sed -e "s/&apos;/'/g" | ./convert.awk \
		> ${DESTDIR}/turkish.php
	@chmod 644 turkish.php ${DESTDIR}/turkish.php

portuguese-br:	portuguese-br.php
	@echo "Recoding portuguese-br..."
	@cat portuguese-br.php | recode iso-8859-1..xml | sed -e "s/&apos;/'/g" | ./convert.awk \
		> ${DESTDIR}/portuguese-br.php
	@chmod 644 portuguese-br.php ${DESTDIR}/portuguese-br.php

portuguese-pt:	portuguese-pt.php
	@echo "Recoding portuguese-pt..."
	@cat portuguese-pt.php | recode iso-8859-15..xml | sed -e "s/&apos;/'/g" | ./convert.awk \
		> ${DESTDIR}/portuguese-pt.php
	@chmod 644 portuguese-pt.php ${DESTDIR}/portuguese-pt.php

swedish:	swedish.php
	@echo "Recoding swedish..."
	@cat swedish.php | recode iso-8859-1..xml | sed -e "s/&apos;/'/g" | ./convert.awk \
		> ${DESTDIR}/swedish.php
	@chmod 644 swedish.php ${DESTDIR}/swedish.php

afrikaans:	afrikaans.php
	@echo "Recoding afrikaans..."
	@cat afrikaans.php | recode iso-8859-1..xml | sed -e "s/&apos;/'/g" | ./convert.awk \
		> ${DESTDIR}/afrikaans.php
	@chmod 644 afrikaans.php ${DESTDIR}/afrikaans.php

hungarian:	hungarian.php
	@echo "Recoding hungarian..."
	@cat hungarian.php | recode utf-8..xml | sed -e "s/&apos;/'/g" | ./convert.awk \
		> ${DESTDIR}/hungarian.php
	@chmod 644 hungarian.php ${DESTDIR}/hungarian.php

arabic:		arabic.php
	@echo "Recoding arabic..."
	@cat arabic.php | recode utf-8..xml | sed -e "s/&apos;/'/g" | ./convert.awk \
		> ${DESTDIR}/arabic.php
	@chmod 644 arabic.php ${DESTDIR}/arabic.php

mongol:		mongol.php
	@echo "Recoding mongol..."
	@cat mongol.php | recode iso-8859-5..xml | sed -e "s/&apos;/'/g" | ./convert.awk \
		> ${DESTDIR}/mongol.php
	@chmod 644 mongol.php ${DESTDIR}/mongol.php

ukrainian:	ukrainian.php
	@echo "Recoding ukrainian..."
	@cat ukrainian.php | recode koi8-r..xml | sed -e "s/&apos;/'/g" | ./convert.awk \
		> ${DESTDIR}/ukrainian.php
	@chmod 644 ukrainian.php ${DESTDIR}/ukrainian.php

hebrew:	hebrew.php
	@echo "Recoding hebrew..."
	@cat hebrew.php | recode utf-8..xml | sed -e "s/&apos;/'/g" | ./convert.awk \
		> ${DESTDIR}/hebrew.php
	@chmod 644 hebrew.php ${DESTDIR}/hebrew.php

romanian:		romanian.php
	@echo "Recoding romanian..."
	@cat romanian.php | recode utf-8..xml | sed -e "s/&apos;/'/g" | ./convert.awk \
		> ${DESTDIR}/romanian.php
	@chmod 644 romanian.php ${DESTDIR}/romanian.php

## phppgadmin 4.1.3

=== lang/Makefile ===
# This Makefile recodes source lang files into XML Unicode.
# You should add your encodings to this file.  You need to have GNU Recode
# installed.
# 
# It is important to:
# - fix the delimiters of php code: <?php and ?>
# - convert CRLF -> LF
# - remove all text before first <?php
# - remove all text after last ?>
# - convert "&apos;" -> "'"
# using 'convert.awk'
#
# Modifications by Dave Smith, 2003-11-10:
#	Added TARGETS variable for easy listing of all lang files.
#	Added 'prepare' target to check that 'recode' is installed.
#	Added 'clean' target to nuke recoded files. 
#	Surpressed verbose command line dumpage with '@'.
#	Added dependency checking for incremental recoding.
#	Added pretty "Recoding ..." messages.
#	Added 'chmod 644' to 'all' target for correct file permissions.
# Modifications by Rafal Slubowski, 2003-12-12:
#       All conversions of recoded text moved to convert.awk script
# 
# $Id: Makefile,v 1.47 2006/12/30 02:29:50 xzilla Exp $

DESTDIR=./recoded
TARGETS=polish \
	english \
	chinese-tr \
	chinese-sim \
	danish \
	dutch \
	german \
	spanish \
	italian \
	french \
	russian \
	japanese \
	slovak \
	turkish \
	czech \
	portuguese-br \
	portuguese-pt \
	swedish \
	afrikaans \
	arabic \
	mongol \
	ukrainian \
	hungarian \
	hebrew \
	catalan \
	romanian

all:	prepare ${TARGETS}
	@for p in ${TARGETS} ; do chmod 644 ${DESTDIR}/$$p.php ; done

prepare:
	@which recode >/dev/null 2>&1 || ( echo "You must have GNU 'recode' installed to use this Makefile,\
						but I could not find it in your path!" && exit 1 )
	@which sed >/dev/null 2>&1 || ( echo "You must have sed installed to use this Makefile,\
						but I could not find it in your path!" && exit 1 )
	@which awk >/dev/null 2>&1 || ( echo "You must have awk installed to use this Makefile,\
						but I could not find it in your path!" && exit 1 )

clean:
	@echo "Nuking recoded lang files..."
	@for p in ${TARGETS} ; do rm -fv ${DESTDIR}/$$p.php ; done

catalan:	catalan.php
	@echo "Recoding catalan..."
	@cat catalan.php | recode utf-8..xml | ./convert.awk \
		> ${DESTDIR}/catalan.php
	@chmod 644 catalan.php ${DESTDIR}/catalan.php

polish:	polish.php
	@echo "Recoding polish..."
	@cat polish.php | recode utf-8..xml | ./convert.awk \
		> ${DESTDIR}/polish.php
	@chmod 644 polish.php ${DESTDIR}/polish.php

english:	english.php
	@echo "Recoding english..."
	@cat english.php | recode latin1..xml | ./convert.awk \
		> ${DESTDIR}/english.php
	@chmod 644 english.php ${DESTDIR}/english.php

dutch:	dutch.php
	@echo "Recoding dutch..."
	@cat dutch.php | recode latin1..xml | ./convert.awk \
		> ${DESTDIR}/dutch.php
	@chmod 644 dutch.php ${DESTDIR}/dutch.php

danish:	danish.php
	@echo "Recoding danish..."
	@cat danish.php | recode latin1..xml | ./convert.awk \
		> ${DESTDIR}/danish.php
	@chmod 644 danish.php ${DESTDIR}/danish.php

german:	german.php
	@echo "Recoding german..."
	@cat german.php | recode utf-8..xml | ./convert.awk \
		> ${DESTDIR}/german.php
	@chmod 644 german.php ${DESTDIR}/german.php

spanish:	spanish.php
	@echo "Recoding spanish..."
	@cat spanish.php | recode iso-8859-1..xml | ./convert.awk \
		> ${DESTDIR}/spanish.php
	@chmod 644 spanish.php ${DESTDIR}/spanish.php

italian:	italian.php
	@echo "Recoding italian..."
	@cat italian.php | recode iso-8859-1..xml | ./convert.awk \
		> ${DESTDIR}/italian.php
	@chmod 644 italian.php ${DESTDIR}/italian.php

chinese-tr:	chinese-tr.php
	@echo "Recoding chinese-tr..."
	@cat chinese-tr.php | recode big5..xml | ./convert.awk \
		> ${DESTDIR}/chinese-tr.php
	@chmod 644 chinese-tr.php ${DESTDIR}/chinese-tr.php

chinese-sim:	chinese-sim.php
	@echo "Recoding chinese-sim..."
	@cat chinese-sim.php | recode gb2312..xml | ./convert.awk \
		> ${DESTDIR}/chinese-sim.php
	@chmod 644 chinese-sim.php ${DESTDIR}/chinese-sim.php

french:	french.php
	@echo "Recoding french..."
	@cat french.php | recode latin1..xml | ./convert.awk \
		> ${DESTDIR}/french.php
	@chmod 644 french.php ${DESTDIR}/french.php

japanese:	japanese.php
	@echo "Recoding japanese..."
	@cat japanese.php | recode euc-jp..xml | ./convert.awk \
		> ${DESTDIR}/japanese.php
	@chmod 644 japanese.php ${DESTDIR}/japanese.php

russian:	russian.php
	@echo "Recoding russian..."
	@cat russian.php | recode koi8..xml | ./convert.awk \
		> ${DESTDIR}/russian.php
	@chmod 644 russian.php ${DESTDIR}/russian.php

slovak:	slovak.php
	@echo "Recoding slovak..."
	@cat slovak.php | recode utf-8..xml | ./convert.awk \
		> ${DESTDIR}/slovak.php
	@chmod 644 slovak.php ${DESTDIR}/slovak.php

czech:	czech.php
	@echo "Recoding czech..."
	@cat czech.php | recode utf-8..xml | ./convert.awk \
		> ${DESTDIR}/czech.php
	@chmod 644 czech.php ${DESTDIR}/czech.php

turkish:	turkish.php
	@echo "Recoding turkish..."
	@cat turkish.php | recode iso-8859-9..xml | ./convert.awk \
		> ${DESTDIR}/turkish.php
	@chmod 644 turkish.php ${DESTDIR}/turkish.php

portuguese-br:	portuguese-br.php
	@echo "Recoding portuguese-br..."
	@cat portuguese-br.php | recode iso-8859-1..xml | ./convert.awk \
		> ${DESTDIR}/portuguese-br.php
	@chmod 644 portuguese-br.php ${DESTDIR}/portuguese-br.php

portuguese-pt:	portuguese-pt.php
	@echo "Recoding portuguese-pt..."
	@cat portuguese-pt.php | recode iso-8859-15..xml | ./convert.awk \
		> ${DESTDIR}/portuguese-pt.php
	@chmod 644 portuguese-pt.php ${DESTDIR}/portuguese-pt.php

swedish:	swedish.php
	@echo "Recoding swedish..."
	@cat swedish.php | recode iso-8859-1..xml | ./convert.awk \
		> ${DESTDIR}/swedish.php
	@chmod 644 swedish.php ${DESTDIR}/swedish.php

afrikaans:	afrikaans.php
	@echo "Recoding afrikaans..."
	@cat afrikaans.php | recode iso-8859-1..xml | ./convert.awk \
		> ${DESTDIR}/afrikaans.php
	@chmod 644 afrikaans.php ${DESTDIR}/afrikaans.php

hungarian:	hungarian.php
	@echo "Recoding hungarian..."
	@cat hungarian.php | recode utf-8..xml | ./convert.awk \
		> ${DESTDIR}/hungarian.php
	@chmod 644 hungarian.php ${DESTDIR}/hungarian.php

arabic:		arabic.php
	@echo "Recoding arabic..."
	@cat arabic.php | recode utf-8..xml | ./convert.awk \
		> ${DESTDIR}/arabic.php
	@chmod 644 arabic.php ${DESTDIR}/arabic.php

mongol:		mongol.php
	@echo "Recoding mongol..."
	@cat mongol.php | recode iso-8859-5..xml | ./convert.awk \
		> ${DESTDIR}/mongol.php
	@chmod 644 mongol.php ${DESTDIR}/mongol.php

ukrainian:	ukrainian.php
	@echo "Recoding ukrainian..."
	@cat ukrainian.php | recode koi8-r..xml | ./convert.awk \
		> ${DESTDIR}/ukrainian.php
	@chmod 644 ukrainian.php ${DESTDIR}/ukrainian.php

hebrew:	hebrew.php
	@echo "Recoding hebrew..."
	@cat hebrew.php | recode utf-8..xml | ./convert.awk \
		> ${DESTDIR}/hebrew.php
	@chmod 644 hebrew.php ${DESTDIR}/hebrew.php

romanian:		romanian.php
	@echo "Recoding romanian..."
	@cat romanian.php | recode utf-8..xml | ./convert.awk \
		> ${DESTDIR}/romanian.php
	@chmod 644 romanian.php ${DESTDIR}/romanian.php

## phppgadmin 4.2.3

=== debian/changelog ===
phppgadmin (4.2.3-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/patches
    - (php5.3-reference-value-fix.patch): New. Patch thanks to
      Alan Chandler <alan.chandler@chandlerfamily.org.uk>.
      (grave; Closes: #571220).

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 15 Oct 2010 17:05:27 +0300

phppgadmin (4.2.3-1) unstable; urgency=low

  * New upstream release
    - Fixes PHP 5.3 compatibility (closes: #571220)
  * Updated standards version
  * Use set -e in postinst, per Lintian
  * Converted to source format 3.0 (quilt)
  * Remove executable permissions from *.php files, per Lintian

 -- Peter Eisentraut <petere@debian.org>  Tue, 27 Apr 2010 23:32:42 +0300

phppgadmin (4.2.2-1) unstable; urgency=low

  * New upstream release
    - Fixes local file inclusion vulnerability (CVE-2008-5587) (closes: #508026)
  * Removed register_globals from debian/apache.conf (closes: #508026)

 -- Peter Eisentraut <petere@debian.org>  Wed, 31 Dec 2008 19:32:22 +0200

phppgadmin (4.2.1-1) unstable; urgency=low

  * New upstream release

 -- Peter Eisentraut <petere@debian.org>  Mon, 11 Aug 2008 12:16:00 +0300

phppgadmin (4.2-1) unstable; urgency=low

  * New upstream release
  * Added myself as comaintainer
  * Added to pkg-postgresql SVN (closes: #483606)
  * Added Homepage control field
  * Added watch file
  * Fixed slony1 paths (closes: #414986)
  * New config.inc.php version, patches managed with quilt
  * Put postgresql and slony1-bin into Suggests
  * Removed support for old web servers and PHP, dropped debconf use
    (closes: #485861)
  * Revised README.Debian
  * Updated standards version
  * Changed to Debhelper level 5

 -- Peter Eisentraut <petere@debian.org>  Fri, 20 Jun 2008 15:52:34 +0200

phppgadmin (4.1.3-0.3) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues
  * Debconf translations:
    - Italian. Closes: #460129
    - Japanese. Closes: #463245
    - Galician. Closes: #484095
    - Turkish. Closes: #484518
    - Basque. Closes: #484939
  * [Lintian] Drop the (now?) useless build dependency on dpatch

 -- Christian Perrier <bubulle@debian.org>  Thu, 22 May 2008 17:58:34 +0200

phppgadmin (4.1.3-0.2) unstable; urgency=low

  * Non-maintainer upload
  * Added support for IPv6 in default Apache access configuration
    (closes: #397928)

 -- Peter Eisentraut <petere@debian.org>  Tue, 01 Apr 2008 13:45:53 +0200

phppgadmin (4.1.3-0.1) unstable; urgency=low

  * Non-maintainer upload from the Zurich BSP.
  * Fixes cross-site scripting vulnerability (CVE 2007-5728), closes: #449103.
    The only changes introduced upstream with this version were to fix this
    bug.

 -- Tobias Klauser <tklauser@access.unizh.ch>  Sun, 13 Jan 2008 17:52:27 +0100

phppgadmin (4.1.2-1) unstable; urgency=low

  * New upstream release
    * Fixes security bug (CVE-2007-2865), closes: #427151 
  * Update configuration files
  * Prefer php5 over php4 on install
  * NMU acknowledge, closes: #405849, #411057, #413772, #417007

 -- Isaac Clerencia <isaac@debian.org>  Sat, 02 Jun 2007 14:25:23 +0200

phppgadmin (4.0.1-3.2) unstable; urgency=high

  * Non-maintainer upload during BSP.
  * Fix unconditional use of debconf in postrm (Closes: #417007).
  * Update Portuguese debconf translation (Closes: #413772).

 -- Luk Claes <luk@debian.org>  Sat, 19 May 2007 18:45:10 +0200

phppgadmin (4.0.1-3.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Dutch. Closes: #405849
    - German. Closes: #411057

 -- Christian Perrier <bubulle@debian.org>  Tue, 27 Feb 2007 18:42:29 +0100

phppgadmin (4.0.1-3) unstable; urgency=low

  +++ Changes by Christian Perrier +++
  * Debconf templates translations:
    - Portuguese added. Closes: #381431
    - Dutch added. Closes: #383338
    - Spanish updated. Closes: #383086
    - Swedish updated. Sent during the call for updates of the NMU campaign.
    - Czech updated. Sent during the call for updates of the NMU campaign.
    - Russian added. Sent during the call for updates of the NMU campaign.
    - Brazilian Portuguese updated. Sent during the call for updates
      of the NMU campaign.
    - Vietnamese updated. Sent during the call for updates of the NMU campaign.
  * Lintian fixes:
    - Move debhelper and dpatch to Build-Depends
    - Rewrite debconf templates to fix the Developers Reference suggested
      write style

 -- Isaac Clerencia <isaac@debian.org>  Thu,  7 Dec 2006 08:06:52 +0100

phppgadmin (4.0.1-2) unstable; urgency=low

  * Remove dangling links from conf.d dirs when removing the package,
    closes: #355508

 -- Isaac Clerencia <isaac@debian.org>  Mon,  6 Mar 2006 08:44:56 +0100

phppgadmin (4.0.1-1) unstable; urgency=low

  * New upstream release
  * Added debconf translation for Portuguese, closes: #336846
  * Adjust install file
  * Bumped Standards-Version to 3.6.2, no changes required
  * Update debian/config.inc.php from new upstream config file

 -- Isaac Clerencia <isaac@debian.org>  Wed, 16 Nov 2005 21:39:30 +0100

phppgadmin (3.5.6-1) unstable; urgency=low

  * New upstream release
  * Remove patches included upstream
  * Added debconf translation for Swedish, closes: #330646
  * Allow to install phppgadmin with php5, closes: #325888
  * Prefer apache2 over apache

 -- Isaac Clerencia <isaac@debian.org>  Tue, 18 Oct 2005 19:45:00 +0200

phppgadmin (3.5.5-2) unstable; urgency=low

  * Further fixes for "Only variable references should be returned by
  reference", closes: #321921

 -- Isaac Clerencia <isaac@debian.org>  Mon, 29 Aug 2005 00:07:51 +0200

phppgadmin (3.5.5-1) unstable; urgency=low

  * New upstream release,
    closes: #321921, "Only variable references should be returned by reference"
  * Added dpatch to build-depends
  * Include a patch to fix a problem similar to #321921,
    "Only variables should be assigned by reference"
  * Provide alternative (and safer) auth schema in README.Debian,


=== debian/control ===
Source: phppgadmin
Maintainer: Isaac Clerencia <isaac@debian.org>
Uploaders: Peter Eisentraut <petere@debian.org>
Section: web
Priority: extra
Build-Depends: debhelper (>= 5)
Standards-Version: 3.8.4
Homepage: http://phppgadmin.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/pkg-postgresql/trunk/phppgadmin/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/phppgadmin/

Package: phppgadmin
Architecture: all
Depends: ${misc:Depends}, libapache2-mod-php5 | php5-cgi, php5-pgsql, apache2 | httpd
Recommends: postgresql-doc
Suggests: postgresql, slony1-bin
Description: web-based administration tool for PostgreSQL
 Features:
  * Administer multiple servers
  * Support for PostgreSQL 7.0.x, 7.1.x, 7.2.x, 7.3.x, 7.4.x, 8.0.x, 8.1.x,
    8.2.x, 8.3.x
  * Manage all aspects of: 
    * Users & groups
    * Databases
    * Schemas
    * Tables, indexes, constraints, triggers, rules & privileges
    * Views, sequences & functions
    * Advanced objects
    * Reports
  * Easy data manipulation: 
    * Browse tables, views & reports
    * Execute arbitrary SQL
    * Select, insert, update and delete
  * Dump table data in a variety of formats: SQL, COPY, XML, XHTML, CSV, Tabbed,
    pg_dump
  * Import SQL scripts, COPY data, XML, CSV and Tabbed
  * Supports the Slony master-slave replication engine
  * Excellent language support: 
    * Available in 27 languages
    * No encoding conflicts. Edit Russian data using a Japanese interface!
  * Easy to install and configure

=== debian/rules ===
#!/usr/bin/make -f

clean:
	dh_testdir
	dh_testroot
	dh_clean
	rm -f conf/config.inc.php

build:
	cp conf/config.inc.php-dist conf/config.inc.php

install: build
	dh_testdir
	dh_testroot

	dh_installchangelogs 
	dh_installdirs
	dh_installdocs
	dh_install

	rm debian/phppgadmin/usr/share/phppgadmin/libraries/adodb/*.txt
	rm debian/phppgadmin/usr/share/phppgadmin/lang/convert.awk
	rm debian/phppgadmin/usr/share/phppgadmin/lang/langcheck
	rm debian/phppgadmin/usr/share/phppgadmin/lang/php2po
	rm debian/phppgadmin/usr/share/phppgadmin/lang/po2php
	rm debian/phppgadmin/usr/share/phppgadmin/lang/synch

binary-arch:

# Build architecture-independent files here.
binary-indep: install
	dh_testdir
	dh_testroot

	dh_link
	dh_compress
	dh_fixperms
	find debian/phppgadmin/usr/share/phppgadmin -not -type l -name '*.php' -exec chmod a-x '{}' +
	dh_installdeb

	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep
.PHONY: build install clean binary-indep binary

## phppgadmin 5.0.3

=== debian/changelog ===
phppgadmin (5.0.3-2) unstable; urgency=low

  * Install js subdirectory.  Closes: #641127.
  * Isaac has retired from Debian, taking over as maintainer.
    Closes: #656002.
  * Convert apache config snipped from symlink to file, as the symlink is dead
    while phppgadmin is not yet configured (the file is still called .dpkg-new
    at this point).  Closes: #511133.

 -- Christoph Berg <myon@debian.org>  Wed, 01 Feb 2012 18:24:54 +0100

phppgadmin (5.0.3-1) unstable; urgency=low

  * New upstream release, fixes XSS vulnerabilities.
    Closes: #644290, CVE-2011-3598.

 -- Christoph Berg <myon@debian.org>  Wed, 05 Oct 2011 21:47:32 +0200

phppgadmin (5.0.2-2) unstable; urgency=low

  * NMU changelog for 4.2.3-1.1 was not included in 5.0.2-1, fix that.
    (Changes went upstream.)

 -- Christoph Berg <myon@debian.org>  Sun, 19 Jun 2011 10:20:42 +0200

phppgadmin (5.0.2-1) unstable; urgency=low

  * New upstream release (closes: #612316)
    + Data export fixed (closes: #575396)
    + Correct appcharset in Czech localization (closes: #533242)
    + Supports post-8.3 per-table autovacuum configuration
      (closes: #550386)
  * Add instructions for the reports database to README.Debian; also
    install INSTALL file (closes: #627895)
  * Correct access instructions wrt the postgres user in README.Debian
    (closes: #519932)
  * Add php5-cgi code to apache config, only used if mod_php5 is not
    installed; disable FollowSymlinks (closes: #391397)
  * Depend on libjs-jquery instead of shipping our own copy.
    (Using libphp-adodb does not work at the moment.)
  * Include copyright terms of libraries included in debian/copyright.
  * Update description with current list of supported versions.
  * Bump to dh 7.
  * Add myself as co-maintainer

 -- Christoph Berg <myon@debian.org>  Wed, 15 Jun 2011 18:02:28 +0200

=== debian/control ===
Source: phppgadmin
Maintainer: Christoph Berg <myon@debian.org>
Uploaders: Peter Eisentraut <petere@debian.org>
Section: web
Priority: extra
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.2
Homepage: http://phppgadmin.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/pkg-postgresql/trunk/phppgadmin/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/phppgadmin/

Package: phppgadmin
Architecture: all
Depends: ${misc:Depends}, libapache2-mod-php5 | php5-cgi, php5-pgsql, apache2 | httpd,
 libjs-jquery
Recommends: postgresql-doc
Suggests: postgresql, slony1-bin
Description: web-based administration tool for PostgreSQL
 phpPgAdmin is a web-based administration tool for PostgreSQL. It is perfect
 for PostgreSQL DBAs, newbies and hosting services.
 .
 Features:
  * Administer multiple servers
  * Support for PostgreSQL 7.4.x, 8.0.x, 8.1.x, 8.2.x, 8.3.x, 8.4.x, 9.0.x
  * Manage all aspects of:
    * Users & groups
    * Databases
    * Schemas
    * Tables, indexes, constraints, triggers, rules & privileges
    * Views, sequences & functions
    * Advanced objects
    * Reports
  * Easy data manipulation:
    * Browse tables, views & reports
    * Execute arbitrary SQL
    * Select, insert, update and delete
  * Dump table data in a variety of formats: SQL, COPY, XML, XHTML, CSV, Tabbed,
    pg_dump
  * Import SQL scripts, COPY data, XML, CSV and Tabbed
  * Supports the Slony master-slave replication engine
  * Excellent language support:
    * Available in 27 languages
    * No encoding conflicts. Edit Russian data using a Japanese interface!
  * Easy to install and configure

=== debian/rules ===
#!/usr/bin/make -f

clean:
	dh_testdir
	dh_testroot
	dh_clean
	rm -f conf/config.inc.php

build-arch:

build build-indep:
	cp conf/config.inc.php-dist conf/config.inc.php

override_dh_link:
	rm debian/phppgadmin/usr/share/phppgadmin/libraries/js/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.js debian/phppgadmin/usr/share/phppgadmin/libraries/js
#	does not work yet
#	rm -rf debian/phppgadmin/usr/share/phppgadmin/libraries/adodb
#	ln -s /usr/share/php/adodb debian/phppgadmin/usr/share/phppgadmin/libraries
	dh_link

install: build
	dh $@
	cp debian/apache.conf debian/phppgadmin/etc/apache2/conf.d/phppgadmin
	rm debian/phppgadmin/usr/share/phppgadmin/libraries/adodb/*.txt
	rm debian/phppgadmin/usr/share/phppgadmin/lang/convert.awk
	rm debian/phppgadmin/usr/share/phppgadmin/lang/langcheck
	rm debian/phppgadmin/usr/share/phppgadmin/lang/php2po
	rm debian/phppgadmin/usr/share/phppgadmin/lang/po2php
	rm debian/phppgadmin/usr/share/phppgadmin/lang/synch

binary-arch:

binary binary-indep: install
	dh $@

.PHONY: build build-indep install clean binary binary-indep

## phppgadmin 5.0.4

=== debian/changelog ===
phppgadmin (5.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Fri, 23 Mar 2012 09:50:08 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: web
 Priority: extra
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://phppgadmin.sourceforge.net/
 Vcs-Svn: svn://svn.debian.org/pkg-postgresql/trunk/phppgadmin/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/phppgadmin/

## phppgadmin 5.1

=== debian/changelog ===
phppgadmin (5.1-1) unstable; urgency=low

  * New upstream release.
    + Fixes PHP 5.4 Strict errors.  Closes: #693404.
  * Remove debian/patches/slony1-path.patch.
  * Fix path to apache config in README.Debian, thanks to Matthew Vernon for
    spotting.  Closes: #683267.
  * Move packaging to git.debian.org.

 -- Christoph Berg <myon@debian.org>  Thu, 18 Apr 2013 12:04:59 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>= 7.0.50~)
 Standards-Version: 3.9.3
 Homepage: http://phppgadmin.sourceforge.net/
-Vcs-Svn: svn://svn.debian.org/pkg-postgresql/trunk/phppgadmin/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/phppgadmin/
+Vcs-Git: git://anonscm.debian.org/pkg-postgresql/phppgadmin.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/phppgadmin.git
 
 Package: phppgadmin
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -23,10 +23,7 @@
 	dh $@
 	cp debian/apache.conf debian/phppgadmin/etc/apache2/conf.d/phppgadmin
 	rm debian/phppgadmin/usr/share/phppgadmin/libraries/adodb/*.txt
-	rm debian/phppgadmin/usr/share/phppgadmin/lang/convert.awk
 	rm debian/phppgadmin/usr/share/phppgadmin/lang/langcheck
-	rm debian/phppgadmin/usr/share/phppgadmin/lang/php2po
-	rm debian/phppgadmin/usr/share/phppgadmin/lang/po2php
 	rm debian/phppgadmin/usr/share/phppgadmin/lang/synch
 
 binary-arch:

=== debian/watch ===
version=3
http://sf.net/phppgadmin/ phpPgAdmin-([0-9.]+)\.tar\.gz

## phppgadmin 5.1%2Bds

=== debian/changelog ===
phppgadmin (5.1+ds-1ubuntu1) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1564569).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Thu, 31 Mar 2016 11:46:36 -0700

phppgadmin (5.1+ds-1) unstable; urgency=low

  [ Christoph Berg ]
  * Depends: | php5, so alternative PHP server-side engines like php5-fpm can
    be used.  Closes: #710101.
  * Set team as maintainer.

  [ Jean-Michel Nirgal Vourgère ]
  * Added myself in uploaders.
  * Lintian override for build-depends on dh-apache2.
  * d/copyright: Change to DEP5 format.
  * Remove binary only jquery.js from source:
    . Add +ds suffix to version in d/changelog and d/watch.
    . Add Files-Excluded in d/copyright.
    . Drop jquery license from d/copyright.
    . d/rules no longer needs to rm jquery.js, move link creation to d/links.
  * Use debian version of php-adodb:
    . d/copyright: Add Files-Excluded to remove from source, remove license.
    . Create link in d/links.
    . Add dir_to_symlink in maintscript.
    . Add Depends: libphp-adodb.
  * Minimise d/rules so that get-orig-source target is provided:
    . New d/clean file
  * Update dpkg-maintscript-helper calls:
    . Stop moving old old conf in /etc/apache2/conf.d/.
    . Drop (pre|post)(inst|rm) for a d/maintscript.
    . Added Pre-Depends on ${misc:Pre-Depends}.
  * Drop obsolete file d/svn-deblayout.
  * Limit lang/ installed files to *.php rather than removing other
    files after dh_install.
  * Bumped compat level to 9.
  * Allow configuration without essential apache module 'dir'. Closes:
    #779544.
  * New patch scriptexec_lines_start_with_semicol.diff to fix partial
    SQL execution failure. Closes: #762378.
  * d/control: Update Vcs-Browser to match alioth changes.

 -- Jean-Michel Nirgal Vourgère <jmv_deb@nirgal.com>  Tue, 28 Apr 2015 14:12:23 +0200

phppgadmin (5.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Changes for apache2.4 settings (Closes: #669837)
    . Upgrade phppgadmin.conf restriction to localhost to 2.4 format.
    . Update rules:
        Use "--with apache2" in rules.
        No longer copying apache.conf, dh_apache2 does that.
    . Rename apache.conf into phppgadmin.conf.
    . Drop /etc/apache2/conf.d from dirs.
    . Remove manual reload of apache in maintainer scripts, dh_apache2 does it
      automatically.
    . Build-depends on dh-apache2.
    . Use {$misc:Suggests} so apache2 is no longer a direct Depends.

 -- Jean-Michel Nirgal Vourgère <jmv_deb@nirgal.com>  Mon, 22 Jul 2013 13:01:15 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: phppgadmin
-Maintainer: Christoph Berg <myon@debian.org>
-Uploaders: Peter Eisentraut <petere@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Uploaders: Christoph Berg <myon@debian.org>, Jean-Michel Nirgal Vourgère <jmv_deb@nirgal.com>, Peter Eisentraut <petere@debian.org>
 Section: web
 Priority: extra
-Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9~), dh-apache2
+Standards-Version: 3.9.6
 Homepage: http://phppgadmin.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/phppgadmin.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/phppgadmin.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/phppgadmin.git
 
 Package: phppgadmin
 Architecture: all
-Depends: ${misc:Depends}, libapache2-mod-php5 | php5-cgi, php5-pgsql, apache2 | httpd,
- libjs-jquery
-Recommends: postgresql-doc
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, libapache2-mod-php | php-cgi | php, php-pgsql,
+ libjs-jquery, libphp-adodb
+Recommends: ${misc:Recommends}, postgresql-doc
 Suggests: postgresql, slony1-bin
 Description: web-based administration tool for PostgreSQL
  phpPgAdmin is a web-based administration tool for PostgreSQL. It is perfect
@@ -21,7 +23,7 @@
  .
  Features:
   * Administer multiple servers
-  * Support for PostgreSQL 7.4.x, 8.0.x, 8.1.x, 8.2.x, 8.3.x, 8.4.x, 9.0.x
+  * Support for PostgreSQL 8.4.x, 9.0.x, 9.1.x, 9.2.x
   * Manage all aspects of:
     * Users & groups
     * Databases

## phppgadmin 5.1+ds

=== debian/changelog ===
phppgadmin (5.1+ds-3) unstable; urgency=medium

  [ Christoph Berg ]
  * Move packaging repository to salsa.debian.org

  [ Jean-Michel Vourgère ]
  * Bumped policy to 4.1.3: Priority is now optional.
  * Bumped compat to 11. 
  * Fix exports with new patch fix-obsolete-pgdump-flag to remove -i option
    from pg_dump calls. Thanks to roger21. Closes: #886454
  * Add support for postgres version with 2 digits with patch
    2digit-pg-versions. Closes: #886446

 -- Jean-Michel Vourgère <nirgal@debian.org>  Wed, 14 Feb 2018 20:52:56 +0000

phppgadmin (5.1+ds-2) unstable; urgency=medium

  [ Jean-Michel Vourgère ]
  * Updated to PHP7. Thanks Nishanth Aravamudan. Closes: #821606
  * Downgraded postgresql-doc from Recommends to Suggests.
  * Dropped list of postgresql supported versions from package description.
  * Updates uploaders: Removed Peter Eisentraut, updated my email address.
  * Dropped lintian override for build-depends on dh-apache2, fixed in lintian.
  * Bumped policy to 3.9.8: No change required.
  * Switched Vcs-Git to a secure uri.

  [ Christoph Berg ]
  * Remove myself from Uploaders, thanks Jean-Michel for taking over!
    Closes: #777617.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Tue, 26 Apr 2016 23:10:21 +0200

=== debian/control ===
Source: phppgadmin
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>,
           Jean-Michel Vourgère <nirgal@debian.org>
Section: web
Priority: optional
Build-Depends: debhelper (>= 11), dh-apache2
Standards-Version: 4.1.3
Homepage: http://phppgadmin.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/postgresql/phppgadmin
Vcs-Git: https://salsa.debian.org/postgresql/phppgadmin.git

Package: phppgadmin
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: libapache2-mod-php | php-cgi | php,
         libjs-jquery,
         libphp-adodb,
         php-pgsql,
         ${misc:Depends}
Recommends: ${misc:Recommends}
Suggests: postgresql, postgresql-doc, slony1-bin
Description: web-based administration tool for PostgreSQL
 phpPgAdmin is a web-based administration tool for PostgreSQL. It is perfect
 for PostgreSQL DBAs, newbies and hosting services.
 .
 Features:
  * Administer multiple servers
  * Manage all aspects of:
    * Users & groups
    * Databases
    * Schemas
    * Tables, indexes, constraints, triggers, rules & privileges
    * Views, sequences & functions
    * Advanced objects
    * Reports
  * Easy data manipulation:
    * Browse tables, views & reports
    * Execute arbitrary SQL
    * Select, insert, update and delete
  * Dump table data in a variety of formats: SQL, COPY, XML, XHTML, CSV, Tabbed,
    pg_dump
  * Import SQL scripts, COPY data, XML, CSV and Tabbed
  * Supports the Slony master-slave replication engine
  * Excellent language support:
    * Available in 27 languages
    * No encoding conflicts. Edit Russian data using a Japanese interface!
  * Easy to install and configure

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE=1

%:
	dh $@ --with apache2

override_dh_auto_build:
	dh_auto_build
	cp conf/config.inc.php-dist conf/config.inc.php

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds\d*$//,repacksuffix=+ds \
http://sf.net/phppgadmin/ phpPgAdmin-([0-9.]+)\.tar\.gz

## phppgadmin 7.12.1+dfsg

=== debian/changelog ===
phppgadmin (7.12.1+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * New way to get upstream sources, including tests files:
    - Added README.source.
    - Updated d/watch.
    - Dropped conflicting debian specific .gitignore file.
    - New d/gbp.conf.
    - New patch hide-selenium-tests.
    - Added upstream GnuPG key.
    - Ajusted copyrights to include previously discarded libraries.
  * Dropped patches applied upstream.
  * Improved jquery 3 patch.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Sun, 29 Dec 2019 14:06:58 +0100

phppgadmin (7.12.0+ds-3) unstable; urgency=medium

  * Use pkg-php-tools to pull composer dependencies.
  * Changed alternative http php server from php to php-fpm.
  * Dropped upstream INSTALL file.
  * New patch to disable xtree expansion of "Browse" table and view items.
  * New patch to disable oids on PG12.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Mon, 11 Nov 2019 15:47:48 +0100

phppgadmin (7.12.0+ds-2) unstable; urgency=low

  * New patch to handle utf-8 substrings, that depends on php-mbstring.
    Closes: #682954
  * New patch for the use of Debian version of jquery. Closes: #941727
  * Bumped policy to 4.4.1.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Fri, 04 Oct 2019 14:19:02 +0200

phppgadmin (7.12.0+ds-1) unstable; urgency=medium

  [ Johannes Ranke ]
  * README.Debian: Give a hint how to find the port of local clusters.

  [ Christoph Berg ]
  * Add debian/gitlab-ci.yml.

  [ Jean-Michel Vourgère ]
  * New upstream version. Closes: #926512.
    - New upstream source address: Updated d/copyright and d/watch.
    - Dropped patches applied upstream.
  * Bumped policy to 4.4.0.
  * Bumped compat to 12.
  * Adjusted lintian override for tag
    package-contains-upstream-installation-documentation renaming.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Sun, 29 Sep 2019 22:05:11 +0200

phppgadmin (5.1+ds-4) unstable; urgency=medium

  * Team upload.
  * Move maintainer address to team+postgresql@tracker.debian.org.
  * Remove myself from Uploaders.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 11 Feb 2019 09:32:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: phppgadmin
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
-Uploaders: Christoph Berg <myon@debian.org>,
-           Jean-Michel Vourgère <nirgal@debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Uploaders: Jean-Michel Vourgère <nirgal@debian.org>
 Section: web
 Priority: optional
-Build-Depends: debhelper (>= 11), dh-apache2
-Standards-Version: 4.1.3
-Homepage: http://phppgadmin.sourceforge.net/
+Build-Depends: debhelper-compat (= 12), dh-apache2, pkg-php-tools (>= 1.7~)
+Standards-Version: 4.4.1
+Homepage: https://github.com/phppgadmin/phppgadmin/
 Vcs-Browser: https://salsa.debian.org/postgresql/phppgadmin
 Vcs-Git: https://salsa.debian.org/postgresql/phppgadmin.git
 
 Package: phppgadmin
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libapache2-mod-php | php-cgi | php,
+Depends: libapache2-mod-php | php-cgi | php-fpm,
          libjs-jquery,
          libphp-adodb,
-         php-pgsql,
-         ${misc:Depends}
-Recommends: ${misc:Recommends}
-Suggests: postgresql, postgresql-doc, slony1-bin
+         ${misc:Depends},
+         ${phpcomposer:Debian-require}
+Recommends: ${misc:Recommends}, ${phpcomposer:Debian-recommend}
+Suggests: postgresql, postgresql-doc, slony1-bin, ${phpcomposer:Debian-suggest}
 Description: web-based administration tool for PostgreSQL
  phpPgAdmin is a web-based administration tool for PostgreSQL. It is perfect
  for PostgreSQL DBAs, newbies and hosting services.

=== debian/watch ===
# WARNING - WARNING - WARNING - WARNING - WARNING - WARNING
#   This file is not really used. See README.source
# WARNING - WARNING - WARNING - WARNING - WARNING - WARNING
version=4
opts=mode=git,gitmode=full,dversionmangle=s/\+dfsg\d*$//,uversionmangle=s/-/./g,repacksuffix=+dfsg,pgpmode=gittag \
https://github.com/phppgadmin/phppgadmin \
refs/tags/REL_([\d-]+)
